Subject: bug#22342: closed (Re: bug#22342: Infinite loop when GUILE_FOR_BUILD == guile)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 07 Aug 2016 11:30:03 +0000

Your bug report

#22342: Infinite loop when GUILE_FOR_BUILD == guile

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22342: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22342
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22342: Infinite loop when GUILE_FOR_BUILD == guile
From: Andy Wingo <[email-masked]>
To: Peter TB Brett <[email-masked]>
Cc: [email-masked]
Date: Sun, 07 Aug 2016 13:29:45 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Fixed in master; we capture the full path to GUILE_FOR_BUILD.  Cheers :)

Andy

On Sun 10 Jan 2016 21:28, Peter TB Brett <[email-masked]> writes:

> I ran across an interesting problem while cross-compiling Guile 2.0.11
> with MinGW.
>
> "GEN guile-procedures.texi" sat in an infinite loop, due to meta/guile
> exec-ing itself in a tight loop.
>
> This was because I had set GUILE_FOR_BUILD to "guile" in my configure
> invocation.  In the uninstalled_env environment, "guile" is
> "meta/guile", not my installed version of guile in my PATH.
>
> It might be helpful for configure to insist that GUILE_FOR_BUILD is an
> absolute path in order to avoid this happening to other naive
> cross-compiling users!
>
>                                   Peter

Subject: Infinite loop when GUILE_FOR_BUILD == guile
From: Peter TB Brett <[email-masked]>
To: [email-masked]
Date: Sun, 10 Jan 2016 20:28:45 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I ran across an interesting problem while cross-compiling Guile 2.0.11 
with MinGW.

"GEN guile-procedures.texi" sat in an infinite loop, due to meta/guile 
exec-ing itself in a tight loop.

This was because I had set GUILE_FOR_BUILD to "guile" in my configure 
invocation.  In the uninstalled_env environment, "guile" is 
"meta/guile", not my installed version of guile in my PATH.

It might be helpful for configure to insist that GUILE_FOR_BUILD is an 
absolute path in order to avoid this happening to other naive 
cross-compiling users!

                                   Peter